//
//  NavigationController.swift
//  Measured Blood Lost
//
//  Created by Josh Birnholz on 4/11/16.
//  Copyright © 2016 Josh Birnholz. All rights reserved.
//

import UIKit

class NavigationController : UINavigationController, UIGestureRecognizerDelegate {
	
	override func viewDidLoad() {
		super.viewDidLoad()
		
		let tap: UITapGestureRecognizer = UITapGestureRecognizer(target: self, action: #selector(NavigationController.dismissKeyboard))
		tap.delegate = self
		view.addGestureRecognizer(tap)
	}
	
	func dismissKeyboard() {
		view.endEditing(true)
	}
	
	func gestureRecognizer(gestureRecognizer: UIGestureRecognizer, shouldReceiveTouch touch: UITouch) -> Bool {
		if let view = touch.view where String(view.dynamicType) == "UITableViewCellEditControl" {
			// Don't receive touch
			return false
		}
		
		// Receive touch
		return true
	}
	
}