//
//  WeightCell.swift
//  Measured Blood Lost
//
//  Created by Josh Birnholz on 4/12/16.
//  Copyright © 2016 Josh Birnholz. All rights reserved.
//

import UIKit

protocol WeightCellDelegate {
	
	func quantityChanged(newQuantity: Int, actionSender: AnyObject)
	
}

class WeightCell : UITableViewCell {
	
	var delegate: WeightCellDelegate?
	
	@IBOutlet weak var quantityTextField: UITextField!
	
	@IBAction func quantityTextFieldEditingEnded(sender: AnyObject) {
		
		quantityTextField.text!.numericize()
		
		if Int(quantityTextField.text!) > 99 {
			quantityTextField.text = "99"
		}
		
		let quantity = quantityTextField.text! == "" ? 0 : Int(quantityTextField.text!)
		
		self.delegate?.quantityChanged(quantity!, actionSender: sender)
		
		quantityTextField.sizeToFit()
		
	}
	
}